# This script creates a directory, "data", then opens all files in the directory it is runned from
# If the file is a .png image it opens it and adds it to an array, images
# Then a horisontal flip is performed on these images
# Built using Python 3.2.7 with openCV, imageio, imgaug, numpy installed
# Run in the directory containing the image files
# Usage: python imFlip.py


import imageio
import imgaug as ia
from imgaug import augmenters as iaa
import cv2, os
import numpy as np

try: 
		  
	# creating a folder named data 
	if not os.path.exists('data'): 
		os.makedirs('data') 
	  
	# if not created then raise error 
except OSError: 
	print ('Error: Creating directory of data') 

images = []
imnum = 0

#For each file in the current directory
for file in os.listdir(os.getcwd()):
	
	# Only run if file is png image
	if file.endswith('.png'):
		# Add to array
		image = imageio.imread(file)
		images.append(image)
		
print(len(images))
print(num)


flip = iaa.Fliplr(1) # horizontally flip 100% of the images
images_aug = flip.augment_images(images)

for image_aug in images_aug:
	name = './data/' + 'settefisk_aug_' + str(imnum) + '.png' # Change as you need
	print ('Creating...' + name) 
		  
	# writing the extracted images 
	imageio.imwrite(name, image_aug) 
	imnum += 1
